Get a category
GET
/api/content/management/category/{id}
const url = 'https://example.com/api/content/management/category/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/content/management/category/example \ --header 'Authorization: Bearer <token>'Retrieves a single category by ID. When no ID is supplied, returns all categories.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Category ID
string
Responses
Section titled “Responses”Category retrieved successfully
Media typeapplication/json
object
id
required
Unique category identifier
string
name
required
Category name
string
apiName
API-friendly name (camelCase)
string
apiNameSearch
Searchable API name
string
description
Category description
string
taxonomyId
Parent taxonomy ID
string
parentId
Parent category ID (for nested categories)
string | null
customProperties
Custom properties
Array<object>
object
name
required
Property name
string
value
Property value
Example
{ "id": "CATEGORY_ABC123", "name": "Electronics", "apiName": "electronics"}